mod retry;

use std::env;

fn main() {
    let args: Vec<String> = env::args().collect();

    if args.len() < 2 {
        eprintln!("Usage: {} <cmd> [args...]", args[0]);
        std::process::exit(1);
    }

    let cmd = &args[1];
    let cmd_args = if args.len() > 2 {
        &args[2..]
    } else {
        &[]
    };

    retry::retry(cmd, cmd_args);
}
